const Specialities = require("../models/physiotherapy_speciality");

exports.getspecialities = (req, res, next) => {
	Specialities.find()
    .then((specialities) => {
      res.status(200).json({specialitieslist:specialities});
    })
    .catch((err) => {
      console.log(err);
    });
};

exports.getspecialitieslist = (req, res, next) => {
	Specialities.find({provTypeCode:req.query.prov_type})
    .then((specialities) => {
      res.status(200).json({specialitieslist:specialities});
    })
    .catch((err) => {
      console.log(err);
    });
};
